## autoinstall 1.0

=== Makefile ===
# Makefile for Progeny autoinstaller

BINARIES=binaries/bin/busybox binaries/bin/python binaries/bin/ash \
	binaries/bin/discover binaries/bin/ifconfig binaries/bin/route \
	binaries/bin/modprobe binaries/bin/pump binaries/bin/preppkgs \
	binaries/bin/setdebconf

all:

install:
	-mkdir -p $(DESTDIR)/usr/bin
	cp make-autoinst-initrd make-autoinst-disk update-autoinst-disk \
		$(DESTDIR)/usr/bin
	-mkdir -p $(DESTDIR)/usr/share/man/man1
	for mp in autoinst-read-debconf make-autoinst-initrd \
	          make-autoinst-disk update-autoinst-disk; \
	do \
	    cp $$mp.man $(DESTDIR)/usr/share/man/man1/$$mp.1; \
	done
	-mkdir -p $(DESTDIR)/usr/lib/autoinstall
	cp linuxrc mkmodules depmod.pl $(DESTDIR)/usr/lib/autoinstall
	-mkdir -p $(DESTDIR)/usr/lib/autoinstall/partition
	cp partition/*.py $(DESTDIR)/usr/lib/autoinstall/partition
	mkdir -p $(DESTDIR)/usr/sbin
	cp readdebconf-v0.9 $(DESTDIR)/usr/sbin/autoinst-read-debconf

=== debian/changelog ===
autoinstall (1.0) unstable; urgency=low

  * Fix location of discover databases to match discover-data.
    Closes: #130411.
  * Read config files with readlines instead of an ugly and
    error-prone preread-and-loop thing.  Closes: #135111.
  * Switch Recommends to Depends on autoinstall-arch.
  * Correct example partinfo.cfg to match the correct syntax.
    Closes: #134761.
  * Include the man pages already created, and add a man page for
    autoinst-read-debconf.  Closes: #135236.
  * Oops!  Build-Depends -> Build-Depends-Indep.  Closes: #135234.
  * Updated documentation to reflect the current state of affairs.

 -- Jeff Licquia <jlicquia@progeny.com>  Fri,  1 Mar 2002 10:36:40 -0500

autoinstall (0.9.7.2) unstable; urgency=low

  * Moved readdebconf out of the way so it wouldn't conflict with
    the Progeny configlet package.

 -- Jeff Licquia <jlicquia@progeny.com>  Mon, 15 Oct 2001 09:27:19 -0500

autoinstall (0.9.7.1) unstable; urgency=low

  * Separated out i386-specific parts to a separate "autoinstall-i386"
    package.
  * Change kernel handling so kernels are installed from a .deb, 
    instead of having to be installed on the system.

 -- Jeff Licquia <jlicquia@progeny.com>  Wed, 15 Aug 2001 13:15:13 -0500

autoinstall (0.9.7) unstable; urgency=low

  * General theme: Remove "Progeny-isms" to facilitate porting to
    woody.
  * Port preppkgs to debconf 0.9.
  * Use new discover (based on libdiscover0 instead of libdetect).
  * When building, check the version of debconf in use, and use the 
    correct version of preppkgs.
  * Only use etherconf to configure the network if on a Progeny
    system; otherwise, just write an appropriate
    /etc/network/interfaces.
  * Wrote setdebconf and readdebconf for debconf 0.9.
  * Detect which flavor of GRUB is provided with the system
    (Progeny's or Debian's) and install it appropriately.
  * In linuxrc, make sure that scsip1.lst is read and used even if it
    isn't needed to preload configuration data.
  * Removed lots of old commented-out code from linuxrc.
  * Added "noxconf" flag to configuration; this prevents the linuxrc
    from attempting to set X up even if X servers are present.

 -- Jeff Licquia <jlicquia@progeny.com>  Fri,  3 Aug 2001 09:41:33 -0500

autoinstall (0.9.6) unstable; urgency=low

  * Split out configuration loading functions to remove duplicate
    code.
  * Add exception block to the main code, so exceptions get caught
    properly.
  * Changed "autoinst_config" kernel parameters to "aidrv" and "aifs",
    since the other parameters were too long.

 -- Jeff Licquia <jlicquia@progeny.com>  Wed, 11 Jul 2001 16:00:30 -0500

autoinstall (0.9.5) unstable; urgency=low

  * linuxrc: Add "autoinst_config_drive" and "autoinst_config_fstype"
    kernel command line options, so the autoinstaller config can be
    loaded from alternate places (such as an already-formatted hard
    drive).
  * linuxrc: Add ability to preload SCSI modules (to support using
    autoinst_config_drive to load configuration from a SCSI disk).
  * update-autoinst-disk: Check that the FLOPPYPATH exists before
    trying to create it.
  * update-autoinst-disk: Copy conf tarball to conf.tgz instead of
    conf.tar.gz, since it's likely being copied to a MS-DOS
    filesystem.
  * make-autoinst-initrd: Copy SCSI preload file into ramdisk if it
    exists.
  * mkmodules: Load modules from SCSI preload file as well as the
    other files.

 -- Jeff Licquia <jlicquia@progeny.com>  Mon,  9 Jul 2001 12:34:55 -0500

autoinstall (0.9.4) unstable; urgency=low

  * now includes manpages for make-autoinst-disk, make-autoinst-initrd, and
    update-autoinst-disk
  * make-autoinst-initrd:
    + set PROGNAME variable and use it for consistent error messages
    + better diagnostic message for missing kernel module directory
    + check number of args and error out if incorrect
    + correct cut-n-paste bug in error messages WRT name of program
    + if TMPDIR is defined, use it instead of /tmp
    + explain why we exit 1 if we can't create the temporary directory
    + add vim modeline
  * make-autoinst-disk:
    + converted to wrapper around update-autoinst-disk; this just formats the
      disk, copies the kernel and then calls update-autoinst-disk
    + use PROGNAME for error (diagnostic) messages
    + more diagnostic messages
    + check for existence of needed files before starting to do anything
    + use TMPDIR if it is set
    + add vim modeline
  * update-autoinst-disk:
    + use PROGNAME for error (diagnostic) messages
    + Uses better-tested code formerly from make-autoinst-disk.
    + Honors existing TMPPATH, and doesn't create the tempdir itself if that
      variable is set (for use when called by make-autoinst-disk).
    + Only remove the tempdir if we set TMPPATH ourselves.

 -- Branden Robinson <branden@progeny.com>  Mon,  9 Jul 2001 14:52:08 -0500

autoinstall (0.9.3) unstable; urgency=low

  * README: Note that postinst is run chrooted into the installed system.
    Clarify many other points.
  * linuxrc: Don't freak on blank lines in global.cfg. Fix the translation
    of cdrom: "URLs" in global.cfg (off-by-one error).
  * make-autoinst-disk: Add -s to syslinux call to enable safe, slow, and
    stupid operation so that it works with brain-dead BIOSes.
  * make-autoinst-initrd: Fix bug on first run where it gives an error
    about not being able to remove a non-existant initrd.gz in the temp
    dir.
  * debian/control: Add complete Build-Depends.

 -- Eric Gillespie, Jr. <epg@progeny.com>  Fri, 23 Mar 2001 17:05:52 -0500

autoinstall (0.9.2) unstable; urgency=low

  * Brought in new python-parted.
  * Rebuilt to use new discover, new kernel facilities, etc.
  * Brought in new mklibs.sh to handle new libc stripping.
  * Added better error handling, both globally and in specific places.
  * Now does ide-scsi stuff right.
  * Fixed parsing of modules.dep so the needed module immediately


=== debian/control ===
Source: autoinstall
Section: admin
Priority: optional
Maintainer: Jeff Licquia <jlicquia@progeny.com>
Standards-Version: 3.5.6
Build-Depends-Indep: debhelper

Package: autoinstall
Architecture: all
Depends: python, fdutils, mtools, debconf, autoinstall-arch
Description: Progeny Debian auto-installation system
 This package contains the Progeny Debian auto-installation system.  This
 system makes it possible to install a complete Debian system with no user
 interaction from a set of configuration files.
 .
 The basic model is that of cloning an existing system; after installing
 and configuring a Debian system to taste, the configuration is "dumped"
 to the configuration files, along with some extra information.
 .
 It currently supports flexible constraints for partitioning 
 differently-sized disks in a logical fashion, hardware auto-configuration
 with discover (including configuration of X, if appropriate), network
 configuration via DHCP or a database based on MAC addresses, and
 a cross-platform design making it possible for install media for any
 platform to be created on any other platform.
 .
 Platform-specific files are not included in this package; install the
 "autoinstall-<arch>" packages to install support for <arch>.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build-stamp:
	mkdir build-stamp

configure: build-stamp/configure-stamp-debian
build-stamp/configure-stamp-debian: build-stamp
	dh_testdir
	# Add here commands to configure the package.

	touch build-stamp/configure-stamp-debian

build: build-stamp/configure-stamp-debian build-stamp/build-stamp-debian
build-stamp/build-stamp-debian: build-stamp
	dh_testdir

	# Add here commands to compile the package.

	touch build-stamp/build-stamp-debian

clean:
	dh_testdir
	dh_testroot
	-rm -rf build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installmanpages
	dh_installinfo
	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## autoinstall 1.21

=== Makefile ===
--- 
+++ 
@@ -17,9 +17,9 @@
 	do \
 	    cp $$mp.man $(DESTDIR)/usr/share/man/man1/$$mp.1; \
 	done
-	-mkdir -p $(DESTDIR)/usr/lib/autoinstall
-	cp linuxrc mkmodules depmod.pl $(DESTDIR)/usr/lib/autoinstall
-	-mkdir -p $(DESTDIR)/usr/lib/autoinstall/partition
-	cp partition/*.py $(DESTDIR)/usr/lib/autoinstall/partition
+	-mkdir -p $(DESTDIR)/usr/share/autoinstall
+	cp linuxrc mkmodules depmod.pl $(DESTDIR)/usr/share/autoinstall
+	-mkdir -p $(DESTDIR)/usr/share/autoinstall/partition
+	cp partition/*.py $(DESTDIR)/usr/share/autoinstall/partition
 	mkdir -p $(DESTDIR)/usr/sbin
 	cp readdebconf-v0.9 $(DESTDIR)/usr/sbin/autoinst-read-debconf

=== debian/changelog ===
autoinstall (1.21) unstable; urgency=low

  * Corrected package priority to "extra"

 -- Paul Telford <pxt@debian.org>  Wed, 21 Apr 2004 15:05:14 -0700

autoinstall (1.2) unstable; urgency=low

  * Allow "disable-minimal" keyword (Closes #223401)
  * Don't try to load scsi tarball if none specified (Closes: #223406)
  * Allow use of interface other than eth0 (Closes: #223408)
  * Don't try to umountall() /dev and /proc (Closes: #224119)
  * Added PXE netboot information (Closes: #223501)
      -- Thanks to John Morrisey <jwm@horde.net> for providing patches for all
         of the above
  * General cleanups including removal of "interactive" stuff and some
    progeny-specific options
  * Change to depend on discover1 explicitly.
  * Documentation additions

 -- Paul Telford <pxt@debian.org>  Thu,  8 Apr 2004 10:05:57 -0700

autoinstall (1.1) unstable; urgency=low

  * New co-maintainer
  * Moved internal-use files to /usr/share instead of /usr/lib, to comply with
    FHS
  * Fixed broken arch-indep rules file (Closes: #206652)
  * Fixed handling of separate /boot partition (Closes: #152783)
  * Force a reboot after install to ensure modules are properly loaded
    (Closes: #152790)
  * Support FTP in baseurl (Closes: #156121)
  * Add dependency on discover-data to avoid error messages (Closes: #199472, #165459)
  * No longer require ide-scsi to be present. (Closes: #194017)
  * Updates to mkmodules and linuxrc to make 2.4 kernels happy. (Closes: #157872)
  * Removed ex.*, *.ex, and example cruft in rules file. (Closes: #135237)
  * Updated & expanded documentation, lots of small enhancements and updates

 -- Paul Telford <pxt@debian.org>  Mon, 20 Oct 2003 10:31:28 -0700

=== debian/control ===
Source: autoinstall
Section: admin
Priority: extra
Maintainer: Paul Telford <pxt@debian.org>
Standards-Version: 3.6.0
Build-Depends-Indep: debhelper
Uploaders: Paul Telford <pxt@debian.org>, Jeff Licquia <jlicquia@progeny.com>

Package: autoinstall
Architecture: all
Depends: python, fdutils, mtools, debconf, autoinstall-arch, discover1-data
Suggests: httpd
Description: Debian auto-installation system
 This package contains the core components of the auto-installation system.  
 This system makes it possible to install a complete Debian system with no 
 user interaction from a set of configuration files.
 .
 It currently supports flexible constraints for partitioning 
 differently-sized disks in a logical fashion, hardware auto-configuration
 with discover (including configuration of X, if appropriate), network
 configuration via DHCP or a database based on MAC addresses, and
 a cross-platform design making it possible for install media for any
 platform to be created on any other platform.
 .
 Platform-specific files are not included in this package; install the
 "autoinstall-<arch>" packages to install support for <arch>.

=== debian/rules ===
--- 
+++ 
@@ -46,32 +46,23 @@
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp
 
 
+# Build architecture-dependent files here.
+binary-arch: build install
+# We have nothing to do by default.
+
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
-#	dh_testversion
 	dh_testdir
 	dh_testroot
-#	dh_installdebconf	
 	dh_installdocs
 	dh_installexamples
-#	dh_installmenu
-#	dh_installmanpages
 	dh_installinfo
-	dh_undocumented
 	dh_installchangelogs 
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-	# You may want to make some executables suid here.
-	dh_suidregister
-#	dh_makeshlibs
 	dh_installdeb
-#	dh_perl
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
